Subject: Re: [PATCH] On error, do not list all commands, but point to --help option.

From: Salikh Zakirov <[email-masked]>
Date: Wed, 24 Oct 2007 09:28:18 +0900

Shawn O. Pearce wrote:
> Hmm.  Lets see.
> 
>   "cvs foo":
>     Big spew of commands.  Like "git foo".
> 
>   "svn foo":
>     Unknown command: 'foo'
>     Type 'svn help' for usage.
> 
> Both are considered to be more newbie friendly then Git.  So clearly
> SVN's output of almost nothing is friendly.  And so is CVS'
> big spew of frequently used commands.  Either way is apparently
> newbie friendly.
> 
> Though I find SVN's message a little insulting, asking me to type.
> I know I have to type the command, thanks.

On the contrary, I consider CVS and current Git output more insulting,
as it assumes I forgot all the commands every time I made a typo.

The polite part of the message is to point out a typo, 
as "Unknown command 'foo'" above. The "Type "svn help" for usage" part
is just a reminder for complete newbies, which doesn't take too much space
and can be reasonably ignored by experienced users.